module Types.Renderer where

import Graphics.Rendering.OpenGL as GL

data RenderObjects = RenderObjects
  { roVAO :: GL.VertexArrayObject
  , roVBO :: GL.BufferObject
  }

data GL.Uniform u => ShaderObjects u = Shaderobjects
  { soVertexShader   :: GL.Shader
  , soFragmentShader :: GL.Shader
  , soProgram        :: GL.Program
  , soUniforms       :: [(String, u)]
  }
